Subject: [CCAMP] Fw: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

From: Zhenghaomian <[email-masked]>
Date: Tue, 19 May 2020 06:59:31 +0000

Hi, WG & Chairs, 

As a follow up of the virtual interim, the authors cleaned up the module & draft by updating the document. Now we believe the draft is ready to progress, please let us know the plan & advices. 

BTW, the ietf-layer0-types was updated as well, and can be found at https://tools.ietf.org/html/draft-ietf-ccamp-layer0-types-06. It is suggested to cluster the two works together to proceed. 

Thank you. 

Best wishes,
Haomian(on behalf of all authors & contributors)

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2020年5月19日 14:45
收件人: Daniel King <[email-masked]>; Aihua Guo <[email-masked]>; Victor Lopezalvarez <[email-masked]>; Zhenghaomian <[email-masked]>; Victor Lopez <[email-masked]>; Young Lee <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

A new version of I-D, draft-ietf-ccamp-wson-yang-25.txt has been successfully submitted by Haomian Zheng and posted to the IETF repository.

Name:		draft-ietf-ccamp-wson-yang
Revision:	25
Title:		A YANG Data Model for WSON (Wavelength Switched Optical Networks)
Document date:	2020-05-19
Group:		ccamp
Pages:		60
URL:            https://www.ietf.org/internet-drafts/draft-ietf-ccamp-wson-yang-25.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
Htmlized:       https://tools.ietf.org/html/draft-ietf-ccamp-wson-yang-25
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-wson-yang
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-yang-25

Abstract:
   This document provides a YANG data model for the routing and
   wavelength assignment (RWA) TE topology in wavelength switched
   optical networks (WSONs).  The YANG data model defined in this
   document conforms to the Network Management Datastore Architecture
   (NMDA).

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 19 May 2020 08:00:59 +0000

Hi Haomian, authors,

Thanks a lot.
We'll review and submit the drafts.

Thanks
Daniele  

-----Original Message-----
From: Zhenghaomian <[email-masked]> 
Sent: den 19 maj 2020 09:00
To: [email-masked]; [email-masked]
Subject: Fw: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

Hi, WG & Chairs, 

Thank you. 

Best wishes,

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2020年5月19日 14:45
收件人: Daniel King <[email-masked]>; Aihua Guo <[email-masked]>; Victor Lopezalvarez <[email-masked]>; Zhenghaomian <[email-masked]>; Victor Lopez <[email-masked]>; Young Lee <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

Abstract:

The IETF Secretariat

---

From: tom petch <[email-masked]>
Date: Tue, 19 May 2020 11:11:59 +0000

From: CCAMP <[email-masked]> on behalf of Zhenghaomian <[email-masked]>
Sent: 19 May 2020 07:59

Hi, WG & Chairs,

<tp>
I had a look at layer0 types and see  a number of quirks.

The YANG module references RFC4203, RFC7699, G.694.2 but I do not see them in I-D References or s.1.2

layer0 has become l0 in many places which looks like 'ten' on my screen.  Short is good in most cases but here, I wonder; I am conflicted about brevity v. legibility

wson-label-step text references teas te-types but not in the YANG; why? te-types has label-step int 32 but so what?

typedef dwdm-n is int16; is the range limited or are all values valid?

typedef cwdm-n ditto

typedef flexi-m ditto
'
channel-spacing can be alternated' puzzles me.  Alternate is often a bad idea as American and English usage varies but both seem wrong here

identity flexi-slot-width-granularity had a reference and then lost it and then had a reference and then lost it and next?

leaf min-slot-width-factor 
leaf max-slot-width-factor
is a constraint appropriate, such as min < or <= max?

RFC8363 is OSPF-TE which made me wonder if there was an equivalent for other IGP but AFAICT there isn't; is that right?

Tom Petch

Thank you.

Best wishes,

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]]
发送时间: 2020年5月19日 14:45
收件人: Daniel King <[email-masked]>; Aihua Guo <[email-masked]>; Victor Lopezalvarez <[email-masked]>; Zhenghaomian <[email-masked]>; Victor Lopez <[email-masked]>; Young Lee <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

Abstract:

The IETF Secretariat

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: tom petch <[email-masked]>
Date: Thu, 21 May 2020 08:31:48 +0000

Hi, WG & Chairs,

<tp>

I had a look at this I=D but doubt if I will ever review it properly.  Like other te-topo based modules, it is big, it is complex and the ground underneath it keeps performing somersaults..

Still, I did notice the following

e.g. whenever I see this in a technical specification, I know what it means but wonder if the author has the same idea.  is-reconfigurable-node true e.g. ROADM tells me that there are lots of possible reconfigurable node types such  as ... or ... or  .... but here I will give just one example to whit ROADM.  I wonder if that is what the author intends.

s.1 /impairement/impairment/

optical-impairment-topology-yang is a Normative Reference which means that this I-D cannot proceed until it does.  Since this is described as out of scope, I would have thought that Informative would be enough.

module description 'two encoding documents RFC7579'
perhaps RFC7581 as well

References
yang-te-topo-22 is now up to -23 and with 115 pages and no change log, who knows what is lurking there?

And I still wonder why layer0-types has a reference to this I-D:-)

I note that the e-mail address in the YANG module is not the same as in Authors for Aihua Guo

Tom Petch

Thank you.

Best wishes,

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]]
发送时间: 2020年5月19日 14:45
收件人: Daniel King <[email-masked]>; Aihua Guo <[email-masked]>; Victor Lopezalvarez <[email-masked]>; Zhenghaomian <[email-masked]>; Victor Lopez <[email-masked]>; Young Lee <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

Abstract:

The IETF Secretariat